#include <Trade\Trade.mqh>
CTrade trade;

input int FastEMA = 10;

int fastEMAHandle;
datetime lastCandleTime = 0;

int OnInit()
  {
   string symbol = Symbol();
   ENUM_TIMEFRAMES timeframe = PERIOD_M5;

   fastEMAHandle  = iMA(symbol, timeframe, FastEMA,  0, MODE_EMA, PRICE_CLOSE);
      
   if(fastEMAHandle == INVALID_HANDLE)
     {
      Print("Failed to create indicator handles. Error: ", GetLastError());
      return(INIT_FAILED);
     }

   Print("Strategy initialized.");
   return(INIT_SUCCEEDED);

  }
  
void OnDeinit(const int reason)
  {
   if(fastEMAHandle  != INVALID_HANDLE)
      IndicatorRelease(fastEMAHandle);
   Print("Test finished -> V1.11");
  }
  
void OnTick()
{
   string symbol   = Symbol();
   double pipValue = SymbolInfoDouble(symbol, SYMBOL_POINT);

   datetime currentCandleTime = iTime(symbol, PERIOD_M5, 0);
   
   if(currentCandleTime == lastCandleTime)
      return;
   lastCandleTime = currentCandleTime;
   
   double fastEMAValues[2];
   
   if(CopyBuffer(fastEMAHandle,  0, 1, 2, fastEMAValues)  < 0)
   {
      Print("Failed to retrieve indicator values. Error: ", GetLastError());
      return;
   }
   
   double currentFastEMA   = fastEMAValues[0];
   double previousFastEMA  = fastEMAValues[1];
   
   Print("CurrFastEMA: ", currentFastEMA, " | PrevFastEMA: ", previousFastEMA);

}   